cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Visitor
Visitor
991 Views
Registered: ‎05-13-2018

ISE Webpack Xst:796 "VHDL source expression not yet supported" Problem

Jump to solution

Hi there,

 

I am having an Xst: 796 error calling that "VHDL source expression not yet supported: 'ConstantDeclaration'."

 

While I was using my Webpack ISE with no problem for long time, one day I opened ISE and tried to synthesize the last project. It begin to give this error no matter what I change with the code. If I start a new project, it turns normal but till I restart the computer. Then the same happens. The line number where the error is thrown changes with each of new project.The line is a random line.

 

Laptop is Win10 with the latest updates. ISE is 14.7, which is again the latest from Xilinx.

 

The error messages are as below:

 

ERROR:Xst:796 - "C:/Users/MyUser/Desktop/ISE_Projects/the_project/code.vhd" line 39: VHDL source expression not yet supported: 'ConstantDeclaration'.
INTERNAL_ERROR:Xst:cmain.c:3464:1.56 -  Process will terminate. For technical support on this issue, please open a WebCase with this project attached at http://www.xilinx.com/support.

 

I checked this online and in the forum, but could not find an exact solution nor a logic that could explain this very well.

 

Could any one give me a hand over here?

 

Thank you,

 

Bera

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Mentor
Mentor
1,076 Views
Registered: ‎02-24-2014

Normally, with Windows 10, you need to use the special virtual machine version of ISE that only supports Spartan-6.  Is this the version you are using?   or did you succeed in installing the older ISE 14.7 that supports all the other devices?     If so, then it's not surprising that you are getting weird errors with Win 10.     Your solution is to install ISE Webpack in a Virtual Machine with a guest OS that supports ISE 14.7 properly.   Win 7 or Linux are your typically guest OS that work.

Don't forget to close a thread when possible by accepting a post as a solution.

View solution in original post

0 Kudos
2 Replies
Highlighted
Mentor
Mentor
1,077 Views
Registered: ‎02-24-2014

Normally, with Windows 10, you need to use the special virtual machine version of ISE that only supports Spartan-6.  Is this the version you are using?   or did you succeed in installing the older ISE 14.7 that supports all the other devices?     If so, then it's not surprising that you are getting weird errors with Win 10.     Your solution is to install ISE Webpack in a Virtual Machine with a guest OS that supports ISE 14.7 properly.   Win 7 or Linux are your typically guest OS that work.

Don't forget to close a thread when possible by accepting a post as a solution.

View solution in original post

0 Kudos
Highlighted
Visitor
Visitor
830 Views
Registered: ‎05-13-2018

Thank you so much for the comment. I was using Xilinx ISE on Win10 for some time. Eventually, it turned out to be nonsense as it started to pop-up many error messages, which are irrelevant.

 

Now, I am using Vivado for other boards and it is fine.

 

Thank you,

 

 

Bera

0 Kudos